/Users/bernard/b20/bsoft/src/brecadd.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/brecadd.cpp - Program to average selected reconstructions.

SYNOPSIS

#include 'rwimg.h'
#include 'rwmg.h'
#include 'mg_reconstruct.h'
#include 'mg_processing.h'
#include 'mg_particle_select.h'
#include 'symmetry.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Program to average selected reconstructions.

Author:
    Bernard Heymann

Date:
    Created: 20070419

    Modified: 20180427

Definition in file brecadd.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 55 of file brecadd.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: brecadd [options] input.star [input.star]",
"------------------------------------------------",
"Averages reconstructions or subvolumes of reconstructions based on",
"the selection in parameter files.",
" ",
"Actions:",
"-all                     Reset selection to all particles before other selections.",
"-group 3022              Select particles belonging to this group.",
"-setnumber 3             Select given selection number and set others to zero.",
"-multiple 2              Generate a number of maps from alternating particle images (default 1).",
"-size 50,50,70           Specify a size to extract new particles from a map.",
"-resolution 15           Specify a resolution to do a reciprocal space summation.",
"-std                     Output standard deviation image rather than variance image.",
"-symmetry C5             Apply point group symmetry after reconstruction.",
"-rescale -0.1,5.2        Rescale output images to average and standard deviation.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-datatype u              Force writing of a new data type.",
"-sampling 1.5,1.5,1.5    Sampling (A/pixel; default from input file; a single value can be given).",
" ",
"Output:",
"-output file.star        Output parameter file.",
"-average output.img      Output image (default avg.map).",
"-fom fom.img             Output variance/standard deviation image (default fom.map).",
" ",
NULL
}

Definition at line 24 of file brecadd.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.